CVE-2008-0252

NameCVE-2008-0252
DescriptionDirectory traversal vulnerability in the _get_file_path function in (1) lib/sessions.py in CherryPy 3.0.x up to 3.0.2, (2) filter/sessionfilter.py in CherryPy 2.1, and (3) filter/sessionfilter.py in CherryPy 2.x allows remote attackers to create or delete arbitrary files, and possibly read and write portions of arbitrary files, via a crafted session id in a cookie.
SourceCVE (at NVD; CERT, LWN, oss-sec, fulldisc, bugtraq, EDB, Metasploit, Red Hat, Ubuntu, Gentoo, SuSE, Mageia, GitHub code/issues, web search, more)
ReferencesDSA-1481-1
NVD severityhigh (attack range: remote)
Debian Bugs461069

Vulnerable and fixed packages

The table below lists information on source packages.

Source PackageReleaseVersionStatus
cherrypy3 (PTS)wheezy3.2.2-2fixed
jessie3.5.0-1fixed
buster, sid, stretch3.5.0-2fixed
python-cherrypy (PTS)wheezy, jessie2.3.0-3fixed
buster, sid, stretch2.3.0-5fixed

The information below is based on the following data on fixed versions.

PackageTypeReleaseFixed VersionUrgencyOriginDebian Bugs
cherrypy3source(unstable)3.0.2-2high
python-cherrypysource(unstable)2.2.1-3.1low461069
python-cherrypysourceetch2.2.1-3etch1highDSA-1481-1

Search for package or bug name: Reporting problems